std::pointer_traits< _Ptr >(3cxx)

NAME
std::pointer_traits< _Ptr > - Uniform interface to all pointer-like types.

SYNOPSIS

#include <memory>

  Public Types

using difference_type
The type used to represent the difference between two pointers.
using element_type
The type pointed to.
using pointer
The pointer type.
template<typename _Up> using rebind
A pointer to a different type.

  Static Public Member Functions

static pointer pointer_to (element_type &__r)
Obtain a pointer to an object.

Detailed Description

  template<typename _Ptr>
struct std::pointer_traits< _Ptr >"Uniform interface to all pointer-like types.

Since
    C++11

Member Typedef Documentation

  template<typename _Ptr, typename _Elt> using std::__ptr_traits_impl< _Ptr, _Elt >::difference_type [inherited]

The type used to represent the difference between two pointers.

  template<typename _Ptr, typename _Elt> using std::__ptr_traits_impl< _Ptr, _Elt >::element_type [inherited]

The type pointed to.

  template<typename _Ptr, typename _Elt> using std::__ptr_traits_impl< _Ptr, _Elt >::pointer [inherited]

The pointer type.

  template<typename _Ptr, typename _Elt> template<typename _Up> using std::__ptr_traits_impl< _Ptr, _Elt >::rebind [inherited]

A pointer to a different type.

Member Function Documentation

  template<typename _Ptr, typename _Elt, bool = is_void<_Elt>::value> pointer std::__ptr_traits_ptr_to< _Ptr, _Elt, bool >::pointer_to (element_type & __r) [inline], [static], [inherited]

Obtain a pointer to an object.

Parameters
    __r A reference to an object of type element_type

Returns
    pointer::pointer_to(__r)

Precondition
    pointer::pointer_to(__r) is a valid expression.

Author

Generated automatically by Doxygen for libstdc++ from the source code.